# Duplicate a page

Creates a copy of a page.

Endpoint: POST /api/v1/pages/{pageId}/duplicate
Version: v1
Security: Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.
    Example: "main"

## Request fields (application/json):

  - `language` (string, required)
    The language of the duplicated page.
Example value: en-US
    Example: "en-US"

  - `newName` (string, required)
    The name for the new page.
Example value: About Us Copy
    Example: "About Us Copy"

  - `site` (string, required)
    The site name.
Example value: my-site
    Example: "my-site"

  - `displayName` (string,null)
    The display name for the new page.
Example value: About Us Copy
    Example: "About Us Copy"

## Response 200 fields (application/json):

  - `pageId` (string,null)
    The page identifier.
Example value: 8f0b81bc-7388-46be-b109-6e73d1114470
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

  - `name` (string,null)
    The system name of the page.
Example value: Home
    Example: "Home"

  - `displayName` (string,null)
    The display name of the page.
Example value: Site Home
    Example: "Site Home"

  - `path` (string,null)
    The path of the page.
Example value: /sitecore/content/collection01/site01/Home/about
    Example: "/sitecore/content/collection01/site01/Home/about"

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


